#include "TextureGroups.h"

auto Hooks::TextureGroups::callback_gettexture(mce::TextureGroup* _this, mce::TexturePtr* result, ResourceLocation* location, bool forceReload, void* a5, int a6, void* a7) -> mce::TexturePtr* {
	auto ret = texturegroup_gettexture(_this, result, location, forceReload, a5, a6, a7);

	for (Mod* mod : Client::modlist) {
		if (!mod->enabled && mod->onlyenabled) continue;

		mod->onGetTexture(location, ret);
	}

	return ret;
}
